View Single Post
Old 02-23-2013, 08:30 PM   #19
PoP
♯78 ♭45 ♪33⅓ ♮16⅔ Vᵢ♫γℒˢ
PoP ought to be getting tired of karma fortunes by now.PoP ought to be getting tired of karma fortunes by now.PoP ought to be getting tired of karma fortunes by now.PoP ought to be getting tired of karma fortunes by now.PoP ought to be getting tired of karma fortunes by now.PoP ought to be getting tired of karma fortunes by now.PoP ought to be getting tired of karma fortunes by now.PoP ought to be getting tired of karma fortunes by now.PoP ought to be getting tired of karma fortunes by now.PoP ought to be getting tired of karma fortunes by now.PoP ought to be getting tired of karma fortunes by now.
 
PoP's Avatar
 
Posts: 499
Karma: 6298779
Join Date: Dec 2010
Location: ♁ ᴺ₄₅₃₀' ᵂ₇₃₃₇' ₆₀"
Device: K3.₄, PRS-350, SGS3, Rπ, iPad Air
Quote:
Originally Posted by shakaote View Post
I had similar problems, can't remember all the details. Things to try are mobigen (not calibre like I just typed.) ... are you sure you need kf8 for fonts?

Anyway, I punted and put my font in /mnt/us/fonts and set ENABLE_ALT_FONT(s), and went on with my life.

My font was in extended unicode, so getting it to show up on the kindle involved many, many possible points of failure.
Sure, Mobigen produces a KF6 mobi with no error:
Code:
*****************************************
* Mobipocket mobigen.exe V6.2 build 43  *
* A command line e-book compiler        *
* Copyright Mobipocket.com 2003-2008    *
*****************************************

opt compression: Mobipocket huffdic compression
opt verbose: verbose output
opt version: try to minimize (default)
...
Info(prcgen): Final stats - text compressed to (in % of original size):  015.60%
Info(prcgen): The document identifier is: "NADSAT_chell-ictionary_v0.5"
Info(prcgen): The file format version is V6
Info(prcgen): Saving MOBI file
Info(prcgen): MOBI File successfully generated!
But the device still ignores the embedded font:
Spoiler:
Click image for larger version

Name:	Kindle Keyboard v6 screen_shot-37636.gif
Views:	135
Size:	25.9 KB
ID:	101824
I think that KF8 is the minimum trigger (though I am not sure of anything).

I agree that if all users of my dictionary had installed a Unicode font supporting these glyphs, there would be no need for embedding. That is the point : to prevent forcing new font installation.

Thanks for your much appreciated suggestions.
PoP is offline   Reply With Quote